> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calendarevents

> GET /calendarEvents

`GET /calendarEvents`

Base URL: `https://calendar.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | number                    | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/calendar.json GET /calendarEvents`


## OpenAPI

````yaml /openapi/calendar.json GET /calendarEvents
openapi: 3.0.3
info:
  title: Universal Calendar API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://calendar.universal.rollout.com/api
security: []
paths:
  /calendarEvents:
    get:
      tags:
        - Calendar Events
      summary: List Calendarevents
      operationId: get_calendarevents
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: offset
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  calendarEvents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        calendarId:
                          anyOf:
                            - type: string
                          nullable: true
                        title:
                          type: string
                        description:
                          anyOf:
                            - type: string
                          nullable: true
                        location:
                          anyOf:
                            - type: string
                          nullable: true
                        start:
                          type: string
                        end:
                          type: string
                        isAllDay:
                          anyOf:
                            - type: boolean
                          nullable: true
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        organizer:
                          anyOf:
                            - type: object
                              properties:
                                name:
                                  type: string
                                email:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                status:
                                  type: string
                                comment:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - name
                                - email
                          nullable: true
                        attendees:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              email:
                                anyOf:
                                  - type: string
                                nullable: true
                              status:
                                type: string
                              comment:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - name
                              - email
                        status:
                          anyOf:
                            - type: string
                          nullable: true
                        visibility:
                          anyOf:
                            - type: string
                          nullable: true
                        recurrence:
                          anyOf:
                            - type: object
                              properties:
                                rrule:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                exdates:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - rrule
                          nullable: true
                        conference:
                          anyOf:
                            - type: object
                              properties:
                                provider:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                url:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                dialIn:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - provider
                                - url
                          nullable: true
                        busy:
                          anyOf:
                            - type: boolean
                          nullable: true
                        capacity:
                          anyOf:
                            - type: number
                          nullable: true
                        hideParticipants:
                          anyOf:
                            - type: boolean
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - calendarId
                        - title
                        - description
                        - location
                        - start
                        - end
                        - isAllDay
                        - timezone
                        - organizer
                        - attendees
                        - status
                        - visibility
                        - recurrence
                        - conference
                        - busy
                        - capacity
                        - hideParticipants
                        - created
                        - updated
                        - rolloutUpdated
                required:
                  - _metadata
                  - calendarEvents
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  calendarEvents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        calendarId:
                          anyOf:
                            - type: string
                          nullable: true
                        title:
                          type: string
                        description:
                          anyOf:
                            - type: string
                          nullable: true
                        location:
                          anyOf:
                            - type: string
                          nullable: true
                        start:
                          type: string
                        end:
                          type: string
                        isAllDay:
                          anyOf:
                            - type: boolean
                          nullable: true
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        organizer:
                          anyOf:
                            - type: object
                              properties:
                                name:
                                  type: string
                                email:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                status:
                                  type: string
                                comment:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - name
                                - email
                          nullable: true
                        attendees:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              email:
                                anyOf:
                                  - type: string
                                nullable: true
                              status:
                                type: string
                              comment:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - name
                              - email
                        status:
                          anyOf:
                            - type: string
                          nullable: true
                        visibility:
                          anyOf:
                            - type: string
                          nullable: true
                        recurrence:
                          anyOf:
                            - type: object
                              properties:
                                rrule:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                exdates:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - rrule
                          nullable: true
                        conference:
                          anyOf:
                            - type: object
                              properties:
                                provider:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                url:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                dialIn:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - provider
                                - url
                          nullable: true
                        busy:
                          anyOf:
                            - type: boolean
                          nullable: true
                        capacity:
                          anyOf:
                            - type: number
                          nullable: true
                        hideParticipants:
                          anyOf:
                            - type: boolean
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - calendarId
                        - title
                        - description
                        - location
                        - start
                        - end
                        - isAllDay
                        - timezone
                        - organizer
                        - attendees
                        - status
                        - visibility
                        - recurrence
                        - conference
                        - busy
                        - capacity
                        - hideParticipants
                        - created
                        - updated
                        - rolloutUpdated
                required:
                  - _metadata
                  - calendarEvents
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  calendarEvents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        calendarId:
                          anyOf:
                            - type: string
                          nullable: true
                        title:
                          type: string
                        description:
                          anyOf:
                            - type: string
                          nullable: true
                        location:
                          anyOf:
                            - type: string
                          nullable: true
                        start:
                          type: string
                        end:
                          type: string
                        isAllDay:
                          anyOf:
                            - type: boolean
                          nullable: true
                        timezone:
                          anyOf:
                            - type: string
                          nullable: true
                        organizer:
                          anyOf:
                            - type: object
                              properties:
                                name:
                                  type: string
                                email:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                status:
                                  type: string
                                comment:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - name
                                - email
                          nullable: true
                        attendees:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              email:
                                anyOf:
                                  - type: string
                                nullable: true
                              status:
                                type: string
                              comment:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - name
                              - email
                        status:
                          anyOf:
                            - type: string
                          nullable: true
                        visibility:
                          anyOf:
                            - type: string
                          nullable: true
                        recurrence:
                          anyOf:
                            - type: object
                              properties:
                                rrule:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                exdates:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - rrule
                          nullable: true
                        conference:
                          anyOf:
                            - type: object
                              properties:
                                provider:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                url:
                                  anyOf:
                                    - type: string
                                  nullable: true
                                dialIn:
                                  anyOf:
                                    - type: string
                                  nullable: true
                              required:
                                - provider
                                - url
                          nullable: true
                        busy:
                          anyOf:
                            - type: boolean
                          nullable: true
                        capacity:
                          anyOf:
                            - type: number
                          nullable: true
                        hideParticipants:
                          anyOf:
                            - type: boolean
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - calendarId
                        - title
                        - description
                        - location
                        - start
                        - end
                        - isAllDay
                        - timezone
                        - organizer
                        - attendees
                        - status
                        - visibility
                        - recurrence
                        - conference
                        - busy
                        - capacity
                        - hideParticipants
                        - created
                        - updated
                        - rolloutUpdated
                required:
                  - _metadata
                  - calendarEvents
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````